% TITULNÍ STRANA
\renewcommand{\maketitle}{
    \begin{titlepage}
        \begin{center}
            {\LARGE\gnkSkola}            \vskip 1cm
            \begin{figure}[ht!]
                \centering
                \includegraphics[width=.2\textwidth]{logoL3.PNG}
            \end{figure}
            \vskip 1cm
            
            \noindent{\LARGE\MakeUppercase\gnkTypPrace}            \vskip 1cm
            \noindent{\noindent\Huge\bfseries\color{black}\MakeUppercase{\gnkNazevPrace}}      \vskip 35mm
            \noindent{\LARGE  \bfseries \gnkAutor}            \vfill
            
            Předmět: \gnkPredmet            \vskip 1mm
            Třída: \gnkTrida            \vskip 1mm
            Konzultant: \gnkKonzultant            \vskip 1mm
            Školní rok: \gnkSkolniRok
        \end{center}
    \end{titlepage}
    \restoregeometry
}
% TITULNÍ STRANA - KONEC

% stránka "ABSTRAKT"
\newenvironment{abstrakt}{%
  \vspace*{18mm}
  \noindent
  {{\frontchapterfont\begin{flushleft}{\color{heading}Anotace}\end{flushleft}}}%
  \bigskip
  \noindent\ignorespaces}
  
\newenvironment{declaration}{}


\DeclareRobustCommand{\printabstractpage}{%
\begin{abstractpage}
    \begin{abstrakt}
        \gnkAnotace
    \end{abstrakt}
    
    \vskip 0.5cm
    
    {\noindent\color{heading}\bfseries Klíčová slova\hspace{1em}}
    {\gnkKlicovaSlova}
    
    \vskip 1cm
\end{abstractpage}
}
% stránka "ABSTRAKT" - KONEC

% stránka "PODĚKOVÁNÍ"
\newenvironment{acknowledgmentpage}
{   
    \frontchapternotprinted{Poděkování}
    
    \noindent{{\frontchapterfont{\color{heading}Poděkování}}}
    \vskip 1mm
    \gnkPodekovani
    
    \vfill
}
% stránka "PODĚKOVÁNÍ" - KONEC

% stránka "ZPRACOVÁNÍ"
\newenvironment{stranaZpracovani}
    {
        \noindent Místo zpracování: \gnkMistoZpracovani{}\\
        \noindent Způsob ověření v praxi: \gnkZpusobOvereni{}\\
        \noindent Konzultant: \gnkKonzultant{}
        \vskip 10cm

        \noindent Souhlasím se zapůjčením své práce ke studijním účelům.\vskip 1cm\noindent
        V \gnkMistoPodpisu{} dne \gnkDatumPodpisu{} \hspace{.3\textwidth} \dotfill
    }
% stránka "ZPRACOVÁNÍ" - KONEC

% stránka "PROHLÁŠENÍ"
\newenvironment{stranaProhlaseni}
    {
        \frontchapternotprinted{Prohlášení}
    
        \noindent{{\frontchapterfont{\color{heading}Prohlášení}}}
        \vskip 1mm
        \bigskip\noindent\ignorespaces
    }
    {
        \vskip 1cm\noindent
        V \gnkMistoPodpisu{} dne \gnkDatumPodpisu{} \hspace{.3\textwidth} \dotfill
    }
% stránka "PROHLÁŠENÍ" - KONEC

% stránka "ANOTACE"
\newenvironment{abstractpage}{\frontchapternotprinted{Anotace}
}{}
% stránka "ANOTACE" - KONEC